[@bigcommerce/checkout-sdk](../README.md) / SubInputDetail

# Interface: SubInputDetail

## Table of contents

### Properties

- [configuration](SubInputDetail.md#configuration)
- [items](SubInputDetail.md#items)
- [key](SubInputDetail.md#key)
- [optional](SubInputDetail.md#optional)
- [type](SubInputDetail.md#type)
- [value](SubInputDetail.md#value)

## Properties

### configuration

• `Optional` **configuration**: `object`

Configuration parameters for the required input.

___

### items

• `Optional` **items**: [`Item_2`](Item_2.md)[]

In case of a select, the items to choose from.

___

### key

• `Optional` **key**: `string`

The value to provide in the result.

___

### optional

• `Optional` **optional**: `boolean`

True if this input is optional to provide.

___

### type

• `Optional` **type**: `string`

The type of the required input.

___

### value

• `Optional` **value**: `string`

The value can be pre-filled, if available.
